### Class

# Adw ShortcutsItem

since: 1.8

#### Description [src]

    final class Adw.ShortcutsItem : GObject.Object
    {
      /* No available fields */
    }

An object representing an individual shortcut in `AdwShortcutsSection`.

A shortcut has a title, an optional subtitle, and an accelerator.

Accelerator must be specified in the format `AdwShortcutLabel` accepts.

Alternatively, the `AdwShortcutsItem:action-name` property can be used to automatically get accelerator associated with the specified action, as set via `gtk_application_set_accels_for_action()`.

If both are specified, the accelerator will be used if the action couldn’t be found or doesn’t have an accelerator associated for it.

If `AdwShortcutsItem:direction` is set, the shortcut will only be displayed for the specified text direction. This allows to display different shortcuts for different text directions.

Available since: 1.8

#### Hierarchy

#### Ancestors

- GObject

#### Constructors

###### adw_shortcuts_item_new

Creates a new `AdwShortcutsItem` with `title` and `accelerator`.

since: 1.8

###### adw_shortcuts_item_new_from_action

Creates a new `AdwShortcutsItem` with `title` and `action_name`.

since: 1.8

#### Instance methods

###### adw_shortcuts_item_get_accelerator

Gets the accelerator of `self`.

since: 1.8

###### adw_shortcuts_item_get_action_name

Gets the action name to get the accelerator from.

since: 1.8

###### adw_shortcuts_item_get_direction

Gets the direction of `self`.

since: 1.8

###### adw_shortcuts_item_get_subtitle

Gets the subtitle of `self`.

since: 1.8

###### adw_shortcuts_item_get_title

Gets the title of `self`.

since: 1.8

###### adw_shortcuts_item_set_accelerator

Sets the accelerator of `self`.

since: 1.8

###### adw_shortcuts_item_set_action_name

Sets the action name to get the accelerator from.

since: 1.8

###### adw_shortcuts_item_set_direction

Sets the direction of `self`.

since: 1.8

###### adw_shortcuts_item_set_subtitle

Sets the subtitle of `self`.

since: 1.8

###### adw_shortcuts_item_set_title

Sets the title of `self`.

since: 1.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Adw.ShortcutsItem:accelerator

The shortcut accelerator.

since: 1.8

###### Adw.ShortcutsItem:action-name

Fully qualified action name to get the accelerator from.

since: 1.8

###### Adw.ShortcutsItem:direction

The shortcut direction.

since: 1.8

###### Adw.ShortcutsItem:subtitle

The subtitle of the shortcut.

since: 1.8

###### Adw.ShortcutsItem:title

The title of the shortcut.

since: 1.8

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AdwShortcutsItemClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.